Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-13221

warning: ‘LZ4_compress’ is deprecated - use LZ4_compress_default()

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 10.2.6
    • Fix Version/s: N/A
    • Component/s: Compiling
    • Labels:
    • Environment:

      Description

      [ 48%] Building C object storage/mroonga/vendor/groonga/lib/CMakeFiles/libgroonga.dir/store.c.o
      /var/tmp/mariadb_build/mariadb_src/storage/mroonga/vendor/groonga/lib/store.c: In function ‘grn_ja_put_lz4’:
      /var/tmp/mariadb_build/mariadb_src/storage/mroonga/vendor/groonga/lib/store.c:1392:3: warning: ‘LZ4_compress’ is deprecated (declared at /usr/local/include/lz4.h:431): use LZ4_compress_default() instead [-Wdeprecated-declarations]
      lz4_value_len = LZ4_compress((const char*)value, lz4_value, value_len);
      ^

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            dertin Guillermo Céspedes Tabárez
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.